Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		xinput_calibrator
#Epoch:		0
Version:	0.7.5
Release:	1
License:	MIT/X11
URL:		http://www.freedesktop.org/wiki/Software/xinput_calibrator
Group:		User Interface/X Hardware Support
Summary:	generic touchscreen calibration program for X.Org
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel

# dependencies for optional gtkmm gui
BuildRequires: gtkmm-devel
BuildRequires: atkmm-devel
BuildRequires: cairomm-devel
BuildRequires: glibmm-devel
BuildRequires: gtkmm-devel

%description
xinput_calibrator is a generic touchscreen calibration program for X.Org
xinput_calibrator is created to fill the gap of touchscreen calibration software, featuring:

    works for any standard Xorg touchscreen driver (uses XInput protocol)
    mis-click detection (prevents bogus calibration)
    dynamically recalibrates the evdev driver
    outputs the calibration as xorg.conf.d snippet or HAL policy file
    and more 

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/xinput_calibrator
%{_datadir}/applications/xinput_calibrator.desktop
%{_mandir}/man1/xinput_calibrator.1.gz
%{_datadir}/pixmaps/xinput_calibrator.svg
%{_datadir}/pixmaps/xinput_calibrator.xpm

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.5-1
- initial CCux package release
